package com.gh.common.provider

import com.gh.common.exposure.ExposureManager
import com.gh.gamecenter.feature.exposure.ExposureEvent
import com.gh.gamecenter.feature.provider.IExposureManagerProvider

@com.therouter.inject.ServiceProvider
class ExposureManagerProviderImpl: IExposureManagerProvider {
    override fun logExposure(exposureEvent: ExposureEvent) {
        ExposureManager.log(exposureEvent)
    }

    override fun logExposureList(exposureEventList: List<ExposureEvent>) {
        ExposureManager.log(exposureEventList)
    }
}